From b3e609dca9498a8faccc97833c81c09376ae34bc Mon Sep 17 00:00:00 2001
From: Christof Schulze <christof.schulze@gmx.net>
Date: Sat, 11 Feb 2017 22:30:10 +0100
Subject: [PATCH] gluon-radvd: improve coding style in initscript

---
 package/gluon-radvd/files/etc/init.d/gluon-radvd | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/package/gluon-radvd/files/etc/init.d/gluon-radvd b/package/gluon-radvd/files/etc/init.d/gluon-radvd
index 788d61b96..d38b94411 100755
--- a/package/gluon-radvd/files/etc/init.d/gluon-radvd
+++ b/package/gluon-radvd/files/etc/init.d/gluon-radvd
@@ -4,11 +4,11 @@ USE_PROCD=1
 START=50
 
 start_service() {
-  [ -x /lib/gluon/radvd/arguments ] && {
-    procd_open_instance
-    procd_set_param command /usr/sbin/uradvd $(/lib/gluon/radvd/arguments)
-    procd_set_param respawn ${respawn_threshold:-3600} ${respawn_timeout:-5} ${respawn_retry:-5}
-    procd_set_param stderr 1
-    procd_close_instance
-  }
+	[ -x /lib/gluon/radvd/arguments ] || return 1
+
+	procd_open_instance
+	procd_set_param command /usr/sbin/uradvd $(/lib/gluon/radvd/arguments)
+	procd_set_param respawn ${respawn_threshold:-3600} ${respawn_timeout:-5} ${respawn_retry:-5}
+	procd_set_param stderr 1
+	procd_close_instance
 }
-- 
GitLab